Subject: Re: [PATCH] gitk: Use git-difftool for external diffs

From: David Aguilar <[email-masked]>
Date: Wed, 30 Dec 2009 23:16:45 -0800

On Tue, Dec 29, 2009 at 11:49:52PM -0800, Junio C Hamano wrote:
> Nanako Shiraishi <[email-masked]> writes:
> 
> > Junio, could you tell us what happened to this thread?
> 
> See http://thread.gmane.org/gmane.comp.version-control.git/132983/focus=133414
> 
> In short, the particular way to call difftool this patch implements was
> found to be inadequate to support existing external diff support by gitk
> and a small difftool update will happen first, followed by a patch to gitk
> to use the updated difftool, to avoid regression.

I started the first step:

http://thread.gmane.org/gmane.comp.version-control.git/135613
http://thread.gmane.org/gmane.comp.version-control.git/135613/focus=135612

The 2nd patch implements the the --gui option which Markus
pointed out would be needed to avoid issues such as calling
"vimdiff" from a console-less gitk:

http://article.gmane.org/gmane.comp.version-control.git/133386

I marked the --gui patch as "RFC" since it introduced a new
config variable and I want to make sure that we agreed on its
name.  I didn't get any feedback about that patch
(my fault-- we were in RC freeze and I forgot to CC: Markus).

If that looks like a good first step then we can do the next
step which would be to introduce the --extcmd= option as
mentioned here:

http://thread.gmane.org/gmane.comp.version-control.git/132983/focus=133386

I will try and prepare the changes for --extcmd= within
the next week assuming the existing --gui patch is ok.

On a related note, Jay Soffian recently submitted a
git-mergetool--lib patch adding support for "diffmerge".
It made it clear that there were parts of git-mergetool--lib
that could use some refactoring:

http://thread.gmane.org/gmane.comp.version-control.git/134906

Jay did mention that he'd give it a shot at the time, though
it does seems like the refactoring could wait until we see
how --extcmd= fits into the world.

Thank you for following up on this thread, Nanako.

-- 
		David